<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<%
LoginID=trim(session("LoginID"))
if LoginID="" then LoginID=0

ID=trim(request("ID"))
if ID="" then response.redirect "NewDoc.htm"


set rs=server.createobject("adodb.recordset")
sql="select * from tblDoc where ID="& ID
rs.open sql,oConn
if not rs.eof then
	FromID=trim(rs("FromID"))
	title=trim(rs("title"))
	title2=trim(rs("title2"))
	nClass=trim(rs("Class"))
	if nClass="" then nClass=0
	body=trim(rs("body2"))
	remark=trim(rs("remark2"))
	confirmer=trim(rs("confirmer"))
	collate=trim(rs("collate"))
	collateID=trim(rs("collateID"))
	CheckName=trim(rs("CheckName"))
	CheckStatus=trim(rs("CheckStatus"))
	CheckID=TRIM(rs("CheckID"))
	AttachFile=trim(rs("AttachFile"))
	Times=trim(rs("Times"))
end if
rs.close
set rs=nothing

%>
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<script src="Popup.js"></script>

<BODY BGCOLOR="#FFFFFF">

<table border=1 cellpadding=3 cellspacing=1 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999">
<tr width="100%" bgcolor=#CCFFCC>
	<td colspan=4 align=center>该文档指定由您校对，校对后公文将终止审核过程而成文！</td>
	
</tr>

<form name="docform" method="post" action="SaveCollate.htm">
<tr width="100%">
	<td align=right width=80>标题</td>
	<td><input type="text" class="input" name="Title" value="<%=Title%>" size=30></td>
	<td align=right width="15%" nowrap>主题词</td>
	<td><input type="text" class="input" name="Title2" value="<%=Title2%>" size=20></td>
</tr>

<tr>
	<td align=right>分类</td>
	<td><%=getTableValue ("tblDocClass","Name","ID",nClass)%></td>
	<td align=right>审批路径</td>
	<td><%=CheckName&"&nbsp;"%></td>
</tr>
<tr>
	<td align=right>内容</td>
	<td colspan=3><textarea name="body" rows=5 cols=55 ><%=body%></textarea></td>
</tr>
<tr>
	<td align=right>备注</td>
	<td colspan=3><textarea name="Remark" rows=5 cols=55><%=remark%></textarea></td>
</tr>
<tr>
	<td align=right>附件</td>
	<td colspan=3>
		<%if AttachFile<>"" then%>
		<a target="_blank" href="../File_Up/Doc/<%=ID%>/<%=AttachFile%>"><%=AttachFile%></a>
		<%else
		response.write "&nbsp;"
		end if%>
	</td>
</tr>
<tr>
	<td align=right>核搞人</td>
	<td colspan=3 valign=top><%=confirmer&"&nbsp;"%></td>
</tr>
<tr>
	<td align=right>校对人</td>
	<td colspan=3><%=collate&"&nbsp;"%></td>
</tr>
<tr>
	<td align=right>&nbsp;</td>
	<td colspan=3>
	<input type="submit" name="cmdUp" value="确  定">
	</td>
</tr>
<input type="hidden" name="ID" value="<%=ID%>">
</form>

<tr bgcolor=#CCCCFF>
	<td align=right>&nbsp;</td>
	<td colspan=3>批复过的意见</td>
</tr>
<tr>
	<td align=right>&nbsp;</td>
	<td colspan=3>
	<%
	set rs=server.createobject("adodb.recordset")
	sql="select * from tblDocsuggest where DocID="& ID
	rs.open sql,oConn
	while not rs.eof
		response.write "<table border=0 width='100%' bgcolor=#CCCC66><tr bgcolor=#ffffff><td>"
		response.write trim(rs("FromName"))&" 在 "&trim(rs("Times"))&" 的审核："
		response.write "</td></tr><tr><td>"
		response.write replace(replace(trim(rs("body")),chr(13),"<br>")," ","&nbsp;")
		response.write "</td></tr></table>"
	rs.movenext
	wend
	rs.close
	set rs=nothing
	%>
	
	</td>
</tr>


</table>

</BODY>
</HTML>
<!--#include file="../inc/conn_close.htm"-->
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
function OpenWindow(url,windowname)
{
window.open(url,windowname,'left=100,top=50,height=350,width=650,toolbar=no,menubar=no,scrollbars=yes')
}
function OpenWindow1(url,windowname)
{
window.open(url,windowname,'left=150,top=100,height=80,width=420,toolbar=no,menubar=no,scrollbars=yes')
}
</script>
<%
sub DeleteOneDir (PathName)
	PathName=Server.Mappath(PathName)
	dim fsfl
	Set fsfl = server.CreateObject("Scripting.FileSystemObject")
	if trim(PathName)<>"" and fsfl.FolderExists(PathName) then 
		fsfl.DeleteFolder PathName
	end if
	set fsfl=nothing	
end sub
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function
%>